# -*- coding: utf-8 -*-
from dspawpy.io.structure import convert

convert(
    infile="dspawpy_proj/dspawpy_tests/inputs/2.1/relax.h5",  # 待转化结构，如果在当前路径，可以只写文件名
    si=None,  # 筛选构型编号，如果不指定，默认读取全部
    ele=None,  # 筛选元素符号，默认读取所有元素的原子信息
    ai=None,  # 筛选原子编号，从 1 开始，默认读取所有原子信息
    infmt=None,  # 输入结构文件类型，例如 'h5'，如果为None，将根据文件名规则模糊匹配
    task="relax",  # 任务类型，此参数仅当 infile 为文件夹而非文件名时有效
    outfile="dspawpy_proj/dspawpy_tests/outputs/us/relaxed.xyz",  # 结构文件名
    outfmt=None,  # 输出结构文件类型，例如 'xyz'，如果为None，将根据文件名规则模糊匹配
    coords_are_cartesian=True,  # 默认以笛卡尔坐标写入
)
